RevisionInfoQueryCreator (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.envers.revisioninfo
Class RevisionInfoQueryCreator

    java.lang.Object
      org.hibernate.envers.revisioninfo.RevisionInfoQueryCreator

    public class RevisionInfoQueryCreator

extends Object

Constructor Summary
`RevisionInfoQueryCreator(String revisionInfoEntityName, String revisionInfoIdName, String revisionInfoTimestampName, boolean timestampAsDate)`

Method Summary
`Criteria` | `getRevisionDateQuery(Session session, Number revision)`
`Criteria` | `getRevisionNumberForDateQuery(Session session, Date date)`
`Criteria` | `getRevisionsQuery(Session session, Set<Number> revisions)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RevisionInfoQueryCreator

    public RevisionInfoQueryCreator(String revisionInfoEntityName,
                                    String revisionInfoIdName,
                                    String revisionInfoTimestampName,
                                    boolean timestampAsDate)

Method Detail

### getRevisionDateQuery

    public Criteria getRevisionDateQuery(Session session,
                                         Number revision)

### getRevisionNumberForDateQuery

    public Criteria getRevisionNumberForDateQuery(Session session,
                                                  Date date)

### getRevisionsQuery

    public Criteria getRevisionsQuery(Session session,
                                      Set<Number> revisions)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.